package server

import (
	"sdk_api/constant"
	"strconv"

	"github.com/gin-gonic/gin"
)

func getChat(c *gin.Context) {
	_chatId := c.Query("chatId")
	chatId, _ := strconv.Atoi(_chatId)
	if chatId == 0 {
		c.JSON(200, withError(constant.InvalidParam))
		return
	}

	title, username, err := srv.GetChatInfo(chatId)
	if err != nil {
		c.JSON(200, withError(constant.InternalError))
		return
	}
	c.JSON(200, withSuccess(gin.H{"title": title, "username": username}))
}
