package server

import (
	"sdk_api/constant"
	"strconv"

	"github.com/gin-gonic/gin"
)

func isJoined(c *gin.Context) {
	_userId := c.Query("userId")
	_chatId := c.Query("chatId")

	userId, _ := strconv.Atoi(_userId)
	chatId, _ := strconv.Atoi(_chatId)

	if userId == 0 || chatId == 0 {
		c.JSON(200, withError(constant.InvalidParam))
		return
	}

	joined, err := srv.IsJoined(userId, chatId)
	if err != nil {
		c.JSON(200, withError(constant.InternalError))
		return
	}
	c.JSON(200, withSuccess(gin.H{"joined": joined}))
	return
}

func active(c *gin.Context) {
	_userId := c.Query("userId")
	_chatId := c.Query("chatId")

	userId, _ := strconv.Atoi(_userId)
	chatId, _ := strconv.Atoi(_chatId)

	if userId == 0 || chatId == 0 {
		c.JSON(200, withError(constant.InvalidParam))
		return
	}

	msgCount, err := srv.Active(userId, chatId)
	if err != nil {
		c.JSON(200, withError(constant.InternalError))
		return
	}
	c.JSON(200, withSuccess(gin.H{"msgCount": msgCount}))
}
